glfiltercube

## glfiltercube glfiltercube — Map input texture on the 6 cube faces |

## Synopsis

                        GstGLFilterCube;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstGLFilter
                               +----GstGLFilterCube

## Properties

      "aspect"                   gdouble               : Write
      "blue"                     gfloat                : Write
      "fovy"                     gdouble               : Write
      "green"                    gfloat                : Write
      "red"                      gfloat                : Write
      "zfar"                     gdouble               : Write
      "znear"                    gdouble               : Write

## Description

The resize and redraw callbacks can be set from a client code.

### Examples

    gst-launch -v videotestsrc ! glupload ! glfiltercube ! glimagesink

A pipeline to mpa textures on the 6 cube faces.. FBO is required.

    gst-launch -v videotestsrc ! glupload ! glfiltercube ! video/x-raw-gl, width=640, height=480 ! glimagesink

Resize scene after drawing the cube. The scene size is greater than the input video size.

    gst-launch -v videotestsrc ! glupload ! video/x-raw-gl, width=640, height=480  ! glfiltercube ! glimagesink

Resize scene before drawing the cube. The scene size is greater than the input video size.

## Details

### GstGLFilterCube

    typedef struct _GstGLFilterCube GstGLFilterCube;

## Property Details

### The `"aspect"` property

      "aspect"                   gdouble               : Write

Field of view in the x direction.

Allowed values: [0,100]

Default value: 0

### The `"blue"` property

      "blue"                     gfloat                : Write

Background blue color.

Allowed values: [0,1]

Default value: 0

### The `"fovy"` property

      "fovy"                     gdouble               : Write

Field of view angle in degrees.

Allowed values: [0,180]

Default value: 45

### The `"green"` property

      "green"                    gfloat                : Write

Background reen color.

Allowed values: [0,1]

Default value: 0

### The `"red"` property

      "red"                      gfloat                : Write

Background red color.

Allowed values: [0,1]

Default value: 0

### The `"zfar"` property

      "zfar"                     gdouble               : Write

Specifies the distance from the viewer to the far clipping plane.

Allowed values: [0,1000]

Default value: 100

### The `"znear"` property

      "znear"                    gdouble               : Write

Specifies the distance from the viewer to the near clipping plane.

Allowed values: [0,100]

Default value: 0.1